@import '../../assets/styles/common';

.forgot {
  &-button-container {
    display: flex;
    flex-direction: column;
    position: relative;
    padding-top: 2rem;
    text-align: center;
  }

  &__back {
    position: absolute;
    top: .5rem;
    width: 4.5rem;
  }

  &-button {
    max-width: 50%;
  }

  &-register {
    font-style: italic;
    color: $blue-light;
  }

  &-form {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__input {
      margin-top: .6rem;
      margin-bottom: .6rem;
    }
  }

  &-result {
    width: 35rem;
    margin-bottom: 2rem;

    &--error {
      @extend .forgot-result;

      color: $red;
    }

    &--success {
      @extend .forgot-result;

      margin: 0 auto;
      color: $green;
    }
  }

  &-subheader {
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-style: italic;
    color: $blue-light;
  }

  &-title {
    margin-top: 5rem;
    font-weight: 100;
    font-style: italic;
    font-size: 3rem;
  }
}
